Crypto++ 8.0 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
PrivateKeyAlgorithm Class Referenceabstract

Interface for asymmetric algorithms using private keys. More...

Inheritance diagram for PrivateKeyAlgorithm:

## Public Member Functions
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Private Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Private Key. More...
virtual PrivateKey & | AccessPrivateKey ()=0
| Retrieves a reference to a Private Key. More...
virtual const PrivateKey & | GetPrivateKey () const
| Retrieves a reference to a Private Key. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for asymmetric algorithms using private keys.

Definition at line 2501 of file cryptlib.h.

## Member Function Documentation

## ◆ AccessMaterial()

CryptoMaterial& PrivateKeyAlgorithm::AccessMaterial | ( |  | ) |
| inline virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2508 of file cryptlib.h.

## ◆ GetMaterial()

const CryptoMaterial& PrivateKeyAlgorithm::GetMaterial | ( |  | ) | const
| inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2511 of file cryptlib.h.

## ◆ AccessPrivateKey()

virtual PrivateKey& PrivateKeyAlgorithm::AccessPrivateKey | ( |  | ) |
| pure virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

Implemented in ed25519Signer.

## ◆ GetPrivateKey()

virtual const PrivateKey& PrivateKeyAlgorithm::GetPrivateKey | ( |  | ) | const
| inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Reimplemented in ed25519Signer.

Definition at line 2518 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h